Use this API to interact with user accounts on GitLab. These endpoints can help manage your account, manage accounts for other users, moderate user accounts, perform follower actions, and interact with email addresses for user accounts.

Retrieve current user details

GET /api/v4/user

Retrieves details about your user account.

Responses

CodeDescriptionSchema
200OKAPIEntitiesUserPublic
401Unauthorized—
403Forbidden—

List all activity for a user

GET /api/v4/user/activities

Lists all activity for a specified user.

Parameters

NameTypeDescription
from
Query
String (date-time)Date string in the format YEAR-MONTH-DAY
Default: 2024-08-14T17:26:19.883Z
Example: 2024-08-14T17:26:19.883Z
page
Query
IntegerPage number of results to retrieve
Default: 1
Example: 1
per_page
Query
IntegerNumber of items to list per page
Default: 20
Example: 20

Responses

CodeDescriptionSchema
200OKArray of APIEntitiesUserActivity
400Bad Request—

List all email addresses for a user

GET /api/v4/user/emails

Lists all email addresses for the currently authenticated user.

Parameters

NameTypeDescription
page
Query
IntegerPage number of results to retrieve
Default: 1
Example: 1
per_page
Query
IntegerNumber of items to list per page
Default: 20
Example: 20

Responses

CodeDescriptionSchema
200OKArray of APIEntitiesEmail
400Bad Request—

Add an email address

POST /api/v4/user/emails

Adds an email address for the currently authenticated user.

Request body (application/json)

PropertyTypeDescription
email
Required
StringEmail address to add to the account

Responses

CodeDescriptionSchema
201CreatedAPIEntitiesEmail
400Bad Request—

Retrieve details on an email address

GET /api/v4/user/emails/{email_id}

Retrieves details on a specified email address for the currently authenticated user.

Parameters

NameTypeDescription
email_id
Path, required
IntegerID of the email

Responses

CodeDescriptionSchema
200OKAPIEntitiesEmail
400Bad Request—
404Not Found—

Delete an email address

DELETE /api/v4/user/emails/{email_id}

Deletes the specified email address. You cannot delete a primary email address. Any future emails sent to the deleted email address are sent to the primary email address instead.

Parameters

NameTypeDescription
email_id
Path, required
IntegerID of the email

Responses

CodeDescriptionSchema
204No Content—
400Bad Request—
404Not Found—

Retrieve your user preferences

GET /api/v4/user/preferences

Retrieves your user preferences.

Responses

CodeDescriptionSchema
200OKAPIEntitiesUserPreferences
401Unauthorized—
403Forbidden—

Update your user preferences

PUT /api/v4/user/preferences

Updates your user preferences.

Request body (application/json)

PropertyTypeDescription
pass_user_identities_to_ci_jwtBooleanIf true, passes the user’s external identities to CI jobs as part of a JSON web token. This attribute is internal to GitLab and must not be passed to third-party services. For more information, see Token Payload. At least one of view_diffs_file_by_file, show_whitespace_in_diffs, pass_user_identities_to_ci_jwt, policy_advanced_editor must be provided
policy_advanced_editorBooleanIf true, enables the advanced editor. At least one of view_diffs_file_by_file, show_whitespace_in_diffs, pass_user_identities_to_ci_jwt, policy_advanced_editor must be provided
show_whitespace_in_diffsBooleanIf true, the user sees whitespace changes in diffs. At least one of view_diffs_file_by_file, show_whitespace_in_diffs, pass_user_identities_to_ci_jwt, policy_advanced_editor must be provided
view_diffs_file_by_fileBooleanIf true, the user sees only one file diff per page. At least one of view_diffs_file_by_file, show_whitespace_in_diffs, pass_user_identities_to_ci_jwt, policy_advanced_editor must be provided

Responses

CodeDescriptionSchema
200OKAPIEntitiesUserPreferences
400Bad Request—

Create a runner owned by currently authenticated user

POST /api/v4/user/runners

Create a new runner

Request body (application/json)

PropertyTypeDescription
access_levelStringAccess level of the runner
Allowed values: not_protected, ref_protected
descriptionStringDescription of the runner
group_id
Required
IntegerID of the group to create the runner in. Required if runner_type is group_type
Example: 1
lockedBooleanSpecifies if the runner should be locked for the current project
Default: false
maintenance_noteStringFree-form maintenance notes for the runner. Limited to 1024 characters
maximum_timeoutIntegerMaximum time, in seconds, that runners can spend running a job
pausedBooleanIf true, the runner ignores new jobs
project_id
Required
IntegerID of the project to create the runner in. Required if runner_type is project_type
Example: 1
run_untaggedBooleanSpecifies if the runner should handle untagged jobs
Default: true
runner_type
Required
StringScope of the runner
Allowed values: instance_type, group_type, project_type
Minimum length: 1
tag_listArray of stringsComma-separated list of runner tags

Responses

CodeDescriptionSchema
201CreatedAPIEntitiesCiRunnerRegistrationDetails
400Bad Request—
403Forbidden—

Retrieve your user status

GET /api/v4/user/status

Retrieves your user status.

Responses

CodeDescriptionSchema
200OKAPIEntitiesUserStatus
401Unauthorized—
403Forbidden—

Set a user status

PUT /api/v4/user/status

Sets the status of the currently authenticated user. Any parameters that are not passed are nullified. This operation is similar but distinct from the Update a user status operation.

Request body (application/json)

PropertyTypeDescription
availabilityStringAvailability of the user. Possible values are busy and not_set
clear_status_afterStringTime after which the status is cleared automatically
Allowed values: 30_minutes, 3_hours, 8_hours, 1_day, 3_days, 7_days, 30_days
emojiStringName of the emoji to use as a status. If omitted, speech_balloon is used. Must be one of the names in the Gemojione index
messageStringMessage to set as a status. Can contain emoji codes. Maximum of 100 characters

Responses

CodeDescriptionSchema
200OKAPIEntitiesUserStatus
400Bad Request—

Update a user status

PATCH /api/v4/user/status

Sets the status of the currently authenticated user. Any parameters that are not passed are ignored. This operation is similar but distinct from the Set a user status operation.

Request body (application/json)

PropertyTypeDescription
availabilityStringAvailability of the user. Possible values are busy and not_set
clear_status_afterStringTime after which the status is cleared automatically
Allowed values: 30_minutes, 3_hours, 8_hours, 1_day, 3_days, 7_days, 30_days
emojiStringName of the emoji to use as a status. If omitted, speech_balloon is used. Must be one of the names in the Gemojione index
messageStringMessage to set as a status. Can contain emoji codes. Maximum of 100 characters

Responses

CodeDescriptionSchema
200OKAPIEntitiesUserStatus
400Bad Request—

Retrieve Support PIN

GET /api/v4/user/support_pin

Retrieves a Support PIN for the currently authenticated user. GitLab Support may ask for this PIN to validate your identity.

Responses

CodeDescriptionSchema
200OKAPIEntitiesUserSupportPin
401Unauthorized—
403Forbidden—
404Not Found—

Create a Support PIN

POST /api/v4/user/support_pin

Creates a Support PIN. The PIN expires seven days after creation. GitLab Support may ask for this PIN to validate your identity.

Responses

CodeDescriptionSchema
201CreatedAPIEntitiesUserSupportPin
400Bad Request—

Update a user’s credit_card_validation (deprecated)

PUT /api/v4/user/{user_id}/credit_card_validation

Deprecated in 17.7

Parameters

NameTypeDescription
user_id
Path, required
StringID or username of the user

Request body (application/json)

PropertyTypeDescription
credit_card_expiration_month
Required
IntegerMonth the credit card expires
credit_card_expiration_year
Required
IntegerYear the credit card expires
credit_card_holder_name
Required
StringName of the credit card holder
credit_card_mask_number
Required
StringLast 4 digits of the credit card number
credit_card_type
Required
StringName of the credit card network
credit_card_validated_at
Required
String (date-time)Time when the user’s credit card was validated
stripe_card_fingerprintStringStripe credit card fingerprint
stripe_payment_method_xidStringID of the Stripe payment method
stripe_setup_intent_xidStringID of the Stripe setup intent
zuora_payment_method_xidStringID of the Zuora payment method

Responses

CodeDescriptionSchema
200OKAPIEntitiesUserCreditCardValidations
400Bad Request—
404Not Found—

Return the user specific counts

GET /api/v4/user_counts

Assigned open issues, assigned MRs and pending todos count

Responses

CodeDescriptionSchema
200OKAPIEntitiesUserCounts
401Unauthorized—

List all users

GET /api/v4/users

Lists all users on the instance. This endpoint supports keyset pagination. In GitLab 17.0 and later, keyset pagination is used by default.

Parameters

NameTypeDescription
username
Query
StringReturn a single user with the specified username
extern_uid
Query
StringReturn a single user with the specified external authentication provider UID. Use with provider. Administrators only. All or none of extern_uid, provider must be provided
public_email
Query
StringReturn a single user with the specified public email
provider
Query
StringName of the external authentication provider. All or none of extern_uid, provider must be provided
search
Query
StringSearch for users by name, username, or public email
active
Query
BooleanIf true, returns only active users
Default: false
humans
Query
BooleanIf true, returns only regular users that are not bot or internal users
Default: false
external
Query
BooleanIf true, returns only external users
Default: false
blocked
Query
BooleanIf true, returns only blocked users
Default: false
created_after
Query
String (date-time)Return users created on or after the specified time
created_before
Query
String (date-time)Return users created on or before the specified time
without_projects
Query
BooleanIf true, returns only users that do not have any projects
Default: false
without_project_bots
Query
BooleanIf true, excludes project bot users from the results
Default: false
admins
Query
BooleanIf true, returns only administrators
Default: false
two_factor
Query
StringFilter users by Two-factor authentication
exclude_active
Query
BooleanIf true, returns only users that are not active
Default: false
exclude_external
Query
BooleanIf true, returns only users that are not external
Default: false
exclude_humans
Query
BooleanIf true, returns only bot or internal users
Default: false
exclude_internal
Query
BooleanIf true, returns only users that are not internal
Default: false
order_by
Query
StringSort results by the specified field
Allowed values: id, name, username, created_at, updated_at
sort
Query
StringSort results in ascending or descending order
Allowed values: asc, desc
page
Query
IntegerPage number of results to retrieve
Default: 1
Example: 1
per_page
Query
IntegerNumber of items to list per page
Default: 20
Example: 20
with_custom_attributes
Query
BooleanIf true, includes custom attributes in the response. Administrators only
Default: false
custom_attributes
Query
ObjectFilter by custom attributes that match all of the specified key and value pairs. Administrators only

Responses

CodeDescriptionSchema
200OKArray of APIEntitiesUserBasic
400Bad Request—

Create a user

POST /api/v4/users

Creates a user. Administrators only.

Request body (multipart/form-data)

PropertyTypeDescription
adminBooleanFlag indicating the user is an administrator
avatarString (binary)Avatar image for user
bioStringThe biography of the user
can_create_groupBooleanFlag indicating the user can create groups
color_scheme_idIntegerThe color scheme for the file viewer
commit_emailStringThe commit email, _private for private commit email
discordStringThe Discord user ID
email
Required
StringEmail address to add to the user account
extern_uidStringThe external authentication provider UID. All or none of extern_uid, provider must be provided
externalBooleanFlag indicating the user is an external user
force_random_passwordBooleanFlag indicating a random password will be set. At least one of password, reset_password, force_random_password must be provided
githubStringThe GitHub username
linkedinStringThe LinkedIn username
locationStringThe location of the user
name
Required
StringThe name of the user
noteStringAdmin note for this user
organizationStringThe organization of the user. Empty string or nil clears the field
passwordStringThe password of the new user. At least one of password, reset_password, force_random_password must be provided
policy_advanced_editorBooleanFlag indicating that advanced editor is enabled
private_profileBooleanFlag indicating the user has a private profile
projects_limitIntegerThe number of projects a user can create
pronounsStringThe pronouns of the user
providerStringName of the external authentication provider. All or none of extern_uid, provider must be provided
public_emailStringThe public email of the user
reset_passwordBooleanFlag indicating the user will be sent a password reset token. At least one of password, reset_password, force_random_password must be provided
skip_confirmationBooleanFlag indicating the account is confirmed
theme_idIntegerThe GitLab theme for the user
twitterStringThe Twitter username
username
Required
StringThe username of the user
view_diffs_file_by_fileBooleanIf true, the user sees only one file diff per page
website_urlStringThe website of the user

Responses

CodeDescriptionSchema
201CreatedAPIEntitiesUserWithAdmin
400Bad Request—

Retrieve a user as a regular user

GET /api/v4/users/{id}

Retrieves a specified user as a regular user.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user
with_custom_attributes
Query
BooleanIf true, includes custom attributes in the response. Administrators only
Default: false
custom_attributes
Query
ObjectFilter by custom attributes that match all of the specified key and value pairs. Administrators only

Responses

CodeDescriptionSchema
200OKAPIEntitiesUserProfile
400Bad Request—
404Not Found—

Update a user

PUT /api/v4/users/{id}

Updates the details of a specified user.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user

Request body (multipart/form-data)

PropertyTypeDescription
adminBooleanFlag indicating the user is an administrator
avatarString (binary)Avatar image for user
bioStringThe biography of the user
can_create_groupBooleanFlag indicating the user can create groups
color_scheme_idIntegerThe color scheme for the file viewer
commit_emailStringThe commit email, _private for private commit email
discordStringThe Discord user ID
emailStringEmail address to add to the user account
extern_uidStringThe external authentication provider UID. All or none of extern_uid, provider must be provided
externalBooleanFlag indicating the user is an external user
githubStringThe GitHub username
linkedinStringThe LinkedIn username
locationStringThe location of the user
nameStringThe name of the user
noteStringAdmin note for this user
organizationStringThe organization of the user. Empty string or nil clears the field
passwordStringThe password of the new user
policy_advanced_editorBooleanFlag indicating that advanced editor is enabled
private_profileBooleanFlag indicating the user has a private profile
projects_limitIntegerThe number of projects a user can create
pronounsStringThe pronouns of the user
providerStringName of the external authentication provider. All or none of extern_uid, provider must be provided
public_emailStringThe public email of the user
skip_reconfirmationBooleanFlag indicating the account skips the confirmation by email
theme_idIntegerThe GitLab theme for the user
twitterStringThe Twitter username
usernameStringThe username of the user
view_diffs_file_by_fileBooleanIf true, the user sees only one file diff per page
website_urlStringThe website of the user

Responses

CodeDescriptionSchema
200OKAPIEntitiesUserWithAdmin
400Bad Request—
404Not Found—

Delete a user

DELETE /api/v4/users/{id}

Deletes a user. Administrators only.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user
hard_delete
Query
BooleanIf true, contributions that would usually be moved to a ghost user are deleted instead, along with groups owned solely by this user

Responses

CodeDescriptionSchema
200OKAPIEntitiesEmail
400Bad Request—
404Not Found—

Reactivate a user

POST /api/v4/users/{id}/activate

Reactivates a specified user account that was previously deactivated. Administrators only.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user

Responses

CodeDescriptionSchema
201Created—
400Bad Request—
404Not Found—

Approve access to a user

POST /api/v4/users/{id}/approve

Approves access to a specified user account that is pending approval. Administrators only.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user

Responses

CodeDescriptionSchema
201Created—
400Bad Request—
404Not Found—

Retrieve association counts for a user

GET /api/v4/users/{id}/associations_count

Retrieves the number of groups, projects, issues, and merge requests associated with a specified user.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user

Responses

CodeDescriptionSchema
200OKAPIEntitiesUserAssociationsCount
400Bad Request—
404Not Found—

Ban a user

POST /api/v4/users/{id}/ban

Bans a specified user account. Administrators only.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user

Responses

CodeDescriptionSchema
201Created—
400Bad Request—
404Not Found—

Block access to a user

POST /api/v4/users/{id}/block

Blocks a specified user account. Administrators only.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user

Responses

CodeDescriptionSchema
201Created—
400Bad Request—
404Not Found—

Deactivate a user

POST /api/v4/users/{id}/deactivate

Deactivates a specified user account. Administrators only.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user

Responses

CodeDescriptionSchema
201Created—
400Bad Request—
404Not Found—

Disable two-factor authentication for a user

PATCH /api/v4/users/{id}/disable_two_factor

Disables two-factor authentication for a specified user account. Administrators only.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user

Responses

CodeDescriptionSchema
200OKAPIEntitiesUserWithAdmin
400Bad Request—
404Not Found—

List all email addresses for a user

GET /api/v4/users/{id}/emails

Lists all email addresses for a specified user account. Administrators only.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user
page
Query
IntegerPage number of results to retrieve
Default: 1
Example: 1
per_page
Query
IntegerNumber of items to list per page
Default: 20
Example: 20

Responses

CodeDescriptionSchema
200OKArray of APIEntitiesEmail
400Bad Request—
404Not Found—

Add an email address for a user

POST /api/v4/users/{id}/emails

Adds an email address for a specified user account. Administrators only.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user

Request body (application/json)

PropertyTypeDescription
email
Required
StringEmail address to add to the user account
skip_confirmationBooleanIf true, skips email confirmation and assumes the email is verified

Responses

CodeDescriptionSchema
201CreatedAPIEntitiesEmail
400Bad Request—
404Not Found—

Delete an email address for a user

DELETE /api/v4/users/{id}/emails/{email_id}

Deletes a specified email address for a user account. You cannot delete a primary email address. Administrators only.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user
email_id
Path, required
IntegerID of the email

Responses

CodeDescriptionSchema
200OKAPIEntitiesEmail
400Bad Request—
404Not Found—

Follow a user

POST /api/v4/users/{id}/follow

Follows a specified user account.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user

Responses

CodeDescriptionSchema
201CreatedAPIEntitiesUser
400Bad Request—
404Not Found—

List all accounts that follow a user

GET /api/v4/users/{id}/followers

Lists all user accounts that follow a specified user.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user
page
Query
IntegerPage number of results to retrieve
Default: 1
Example: 1
per_page
Query
IntegerNumber of items to list per page
Default: 20
Example: 20

Responses

CodeDescriptionSchema
200OKArray of APIEntitiesUserBasic
400Bad Request—
404Not Found—

List all accounts followed by a user

GET /api/v4/users/{id}/following

Lists all user accounts being followed by a specified user.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user
page
Query
IntegerPage number of results to retrieve
Default: 1
Example: 1
per_page
Query
IntegerNumber of items to list per page
Default: 20
Example: 20

Responses

CodeDescriptionSchema
200OKArray of APIEntitiesUserBasic
400Bad Request—
404Not Found—

Delete authentication identity from a user

DELETE /api/v4/users/{id}/identities/{provider}

Deletes a user authentication identity using the provider name associated with that identity. Administrators only.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user
provider
Path, required
StringName of the external authentication provider

Responses

CodeDescriptionSchema
200OKAPIEntitiesUserWithAdmin
400Bad Request—
404Not Found—

Reject access to a user

POST /api/v4/users/{id}/reject

Rejects access to a specified user account that is pending approval. Administrators only.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user

Responses

CodeDescriptionSchema
201Created—
400Bad Request—
404Not Found—

Retrieve a Support PIN for a user

GET /api/v4/users/{id}/support_pin

Retrieves a Support PIN for a specified user. GitLab Support may ask for this PIN to validate your identity. Administrators only.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user

Responses

CodeDescriptionSchema
200OKAPIEntitiesUserSupportPin
400Bad Request—
404Not Found—

Revoke a Support PIN for a user

POST /api/v4/users/{id}/support_pin/revoke

Revokes a Support PIN for a specified user. This immediately expires and removes the PIN. Administrators only.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user

Responses

CodeDescriptionSchema
204No Content—
400Bad Request—
404Not Found—

Unban a user

POST /api/v4/users/{id}/unban

Unbans a specified user account that was previously banned. Administrators only.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user

Responses

CodeDescriptionSchema
201Created—
400Bad Request—
404Not Found—

Unblock access to a user

POST /api/v4/users/{id}/unblock

Unblocks a specified user account that was previously blocked. Administrators only.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user

Responses

CodeDescriptionSchema
201Created—
400Bad Request—
404Not Found—

Unfollow a user

POST /api/v4/users/{id}/unfollow

Unfollows a specified user account.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the user

Responses

CodeDescriptionSchema
201CreatedAPIEntitiesUser
400Bad Request—
404Not Found—

List all project and group memberships for a user

GET /api/v4/users/{user_id}/memberships

Lists all project and group memberships for a specified user. Administrators only.

Parameters

NameTypeDescription
user_id
Path, required
IntegerID of the user
type
Query
StringFilter memberships by type
Allowed values: Project, Namespace
page
Query
IntegerPage number of results to retrieve
Default: 1
Example: 1
per_page
Query
IntegerNumber of items to list per page
Default: 20
Example: 20

Responses

CodeDescriptionSchema
200OKArray of APIEntitiesMembership
400Bad Request—
404Not Found—

Retrieve the status of a user

GET /api/v4/users/{user_id}/status

Retrieves the status of a user. You can access this endpoint without authentication.

Parameters

NameTypeDescription
user_id
Path, required
StringID or username of the user

Responses

CodeDescriptionSchema
200OKAPIEntitiesUserStatus
400Bad Request—
404Not Found—

Schemas

Objects returned by the operations above and objects nested in their request bodies.

APIEntitiesCiRunnerRegistrationDetails

PropertyTypeDescription
idString—
tokenString—
token_expires_atString—

APIEntitiesCustomAttribute

PropertyTypeDescription
keyStringExample: foo
valueStringExample: bar

APIEntitiesEmail

PropertyTypeDescription
confirmed_atString—
emailString—
idString—

APIEntitiesIdentity

PropertyTypeDescription
extern_uidString—
providerString—

APIEntitiesMembership

PropertyTypeDescription
access_levelString—
source_idString—
source_nameString—
source_typeString—

APIEntitiesUser

PropertyTypeDescription
avatar_pathStringExample: /user/avatar/28/The-Big-Lebowski-400-400.png
avatar_urlStringExample: https://gravatar.com/avatar/1
bioString—
botBoolean—
created_atString—
custom_attributesArray of APIEntitiesCustomAttribute—
discordString—
followersString—
followingString—
githubString—
idInteger (int64)Example: 1
is_followedString—
job_titleString—
linkedinString—
local_timeString—
locationString—
lockedBoolean—
nameStringExample: Administrator
organizationString—
pronounsString—
public_emailStringExample: john@example.com
stateStringExample: active
twitterString—
usernameStringExample: admin
web_urlStringExample: https://gitlab.example.com/root
website_urlString—
work_informationString—

APIEntitiesUserActivity

PropertyTypeDescription
last_activity_atString—
last_activity_onString—
usernameString—

APIEntitiesUserAssociationsCount

PropertyTypeDescription
groups_countString—
issues_countString—
merge_requests_countString—
projects_countString—

APIEntitiesUserBasic

PropertyTypeDescription
avatar_pathStringExample: /user/avatar/28/The-Big-Lebowski-400-400.png
avatar_urlStringExample: https://gravatar.com/avatar/1
custom_attributesArray of APIEntitiesCustomAttribute—
idInteger (int64)Example: 1
lockedBoolean—
nameStringExample: Administrator
public_emailStringExample: john@example.com
stateStringExample: active
usernameStringExample: admin
web_urlStringExample: https://gitlab.example.com/root

APIEntitiesUserCounts

PropertyTypeDescription
assigned_issuesIntegerExample: 10
assigned_merge_requestsIntegerExample: 10
merge_requestsIntegerExample: 10
review_requested_merge_requestsIntegerExample: 10
todosIntegerExample: 10

APIEntitiesUserCreditCardValidations

PropertyTypeDescription
credit_card_validated_atString—
user_idString—

APIEntitiesUserPreferences

PropertyTypeDescription
idString—
pass_user_identities_to_ci_jwtString—
policy_advanced_editorString—
show_whitespace_in_diffsString—
user_idString—
view_diffs_file_by_fileString—

APIEntitiesUserProfile

PropertyTypeDescription
avatar_pathStringExample: /user/avatar/28/The-Big-Lebowski-400-400.png
avatar_urlStringExample: https://gravatar.com/avatar/1
bioString—
bio_htmlStringExample: My <em>bio</em>.
botBoolean—
created_atString—
custom_attributesArray of APIEntitiesCustomAttribute—
discordString—
followersString—
followingString—
githubString—
idInteger (int64)Example: 1
is_followedString—
job_titleString—
linkedinString—
local_timeString—
locationString—
lockedBoolean—
nameStringExample: Administrator
organizationString—
pronounsString—
public_emailStringExample: john@example.com
stateStringExample: active
twitterString—
usernameStringExample: admin
web_urlStringExample: https://gitlab.example.com/root
website_urlString—
work_informationString—

APIEntitiesUserPublic

PropertyTypeDescription
avatar_pathStringExample: /user/avatar/28/The-Big-Lebowski-400-400.png
avatar_urlStringExample: https://gravatar.com/avatar/1
bioString—
botBoolean—
can_create_groupBooleanExample: true
can_create_projectBooleanExample: true
color_scheme_idIntegerExample: 1
commit_emailString—
confirmed_atString (date-time)Example: 2015-09-03T07:24:01.670Z
created_atString—
current_sign_in_atString (date-time)Example: 2015-09-03T07:24:01.670Z
custom_attributesArray of APIEntitiesCustomAttribute—
discordString—
emailStringExample: john@example.com
externalBoolean—
followersString—
followingString—
githubString—
idInteger (int64)Example: 1
identitiesAPIEntitiesIdentity—
is_followedString—
job_titleString—
last_activity_onString (date-time)Example: 2015-09-03T07:24:01.670Z
last_sign_in_atString (date-time)Example: 2015-09-03T07:24:01.670Z
linkedinString—
local_timeString—
locationString—
lockedBoolean—
nameStringExample: Administrator
organizationString—
preferred_languageStringExample: en
private_profileBooleanExample: false
projects_limitIntegerExample: 10
pronounsString—
public_emailStringExample: john@example.com
stateStringExample: active
theme_idIntegerExample: 2
twitterString—
two_factor_enabledBooleanExample: true
usernameStringExample: admin
web_urlStringExample: https://gitlab.example.com/root
website_urlString—
work_informationString—

APIEntitiesUserStatus

PropertyTypeDescription
availabilityString—
clear_status_atString—
emojiString—
messageString—
message_htmlString—

APIEntitiesUserSupportPin

PropertyTypeDescription
expires_atString (date-time)The expiration time of the PIN
pinStringThe security PIN

APIEntitiesUserWithAdmin

PropertyTypeDescription
avatar_pathStringExample: /user/avatar/28/The-Big-Lebowski-400-400.png
avatar_urlStringExample: https://gravatar.com/avatar/1
bioString—
botBoolean—
can_create_groupBooleanExample: true
can_create_projectBooleanExample: true
color_scheme_idIntegerExample: 1
commit_emailString—
confirmed_atString (date-time)Example: 2015-09-03T07:24:01.670Z
created_atString—
created_byAPIEntitiesUserBasic—
current_sign_in_atString (date-time)Example: 2015-09-03T07:24:01.670Z
custom_attributesArray of APIEntitiesCustomAttribute—
discordString—
emailStringExample: john@example.com
externalBoolean—
followersString—
followingString—
githubString—
idInteger (int64)Example: 1
identitiesAPIEntitiesIdentity—
is_adminString—
is_followedString—
job_titleString—
last_activity_onString (date-time)Example: 2015-09-03T07:24:01.670Z
last_sign_in_atString (date-time)Example: 2015-09-03T07:24:01.670Z
linkedinString—
local_timeString—
locationString—
lockedBoolean—
nameStringExample: Administrator
namespace_idString—
noteString—
organizationString—
preferred_languageStringExample: en
private_profileBooleanExample: false
projects_limitIntegerExample: 10
pronounsString—
provisioned_by_project_idString—
public_emailStringExample: john@example.com
stateStringExample: active
theme_idIntegerExample: 2
twitterString—
two_factor_enabledBooleanExample: true
usernameStringExample: admin
web_urlStringExample: https://gitlab.example.com/root
website_urlString—
work_informationString—